PojoMessageHandlerPartialText (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket.pojo, class: PojoMessageHandlerPartialText

# Class PojoMessageHandlerPartialText

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialBase<String>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerPartialText

All Implemented Interfaces:
  `MessageHandler, MessageHandler.Partial<String>, WrappedMessageHandler`

public class PojoMessageHandlerPartialText extends PojoMessageHandlerPartialBase<String>
Text specific concrete implementation for handling partial messages.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface MessageHandler

  `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

- ## Field Summary

  ### Fields inherited from class PojoMessageHandlerBase

  `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PojoMessageHandlerPartialText(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)`
  Create a partial text message handler.

- ## Method Summary

  ### Methods inherited from class PojoMessageHandlerPartialBase

  `onMessage`

  ### Methods inherited from class PojoMessageHandlerBase

  `getMaxMessageSize, getWrappedHandler, handlePojoMethodInvocationTargetException, processResult`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoMessageHandlerPartialText

    public PojoMessageHandlerPartialText(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexBoolean, int indexSession, long maxMessageSize)
    Create a partial text message handler.
    Parameters:
      `pojo` - POJO instance
      `method` - Method to invoke
      `session` - WebSocket session
      `params` - Pre-populated parameter array
      `indexPayload` - Index of the payload parameter
      `convert` - Convert the message before passing to the method
      `indexBoolean` - Index of the last flag parameter
      `indexSession` - Index of the session parameter
      `maxMessageSize` - Maximum message size